This content has been archived.

Setup wizard prerequisites for Pega Robotic Automation versions 7.1 and earlier

When you use the Setup wizard to install Pega Robotic Automation Studio (stand-alone or plug-in), Runtime/Agile Desktop, or both, the wizard first looks for certain Microsoft software prerequisites, like Microsoft .NET Framework. If the required software components are missing, the wizard downloads them from Microsoft's site and installs them before it installs your Studio or Runtime software.

If you want to install the prerequisites before running the Setup wizard or if you are doing an offline install, use the following information as a guide to finding the necessary components:

Robotic Automation Studio

For Studio, standalone or plug-in, you must have the following applications installed on your computer before you install Studio:

  • Microsoft Visual Studio 2010 with Service Pack 1
  • Microsoft .NET Framework 4.0 or 4.5

If you do not have the correct version of these applications installed, the Setup wizard downloads the following applications from the specified locations:

Robotic Automation Runtime/Agile Desktop

For Runtime/Agile Desktop, you must have the following applications installed on your computer before you install Runtime/Agile Desktop:

Microsoft .NET Framework:

  • For Runtime you must have version 3.5 SP1 or 4.0
  • For Agile Desktop, you must have version 4.0

If you do not have the correct version of these applications installed, the Setup wizard downloads the following applications from the specified locations:

Suggest Edit

100% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.